// Copyright (c) 2023 Dominic Masters
// 
// This software is released under the MIT License.
// https://opensource.org/licenses/MIT

#pragma once
#include "scene/SceneItemComponent.hpp"
#include "TicTacToeTile.hpp"
#include "physics/3d/Ray3D.hpp"

namespace Dawn {
  class TicTacToeGame : public SceneItemComponent {
    public:
      std::map<int32_t, TicTacToeTile*> tiles;
      enum TicTacToeTileState nextMove = TIC_TAC_TOE_NOUGHT;

      TicTacToeGame(SceneItem *item);

      void onStart() override;
      void onDispose() override;

      void onSceneUpdate();
  };
}